%define         srcdirname       src

%define         subrel           1

Name:           wmweather
Version:        2.4.5
Release:        %mkrel 8
Summary:        A dock application which displays your current local weather conditions
License:        GPLv2
Group:          Sciences/Geosciences

URL:            http://people.debian.org/~godisch/wmweather/
Source0:        http://ftp.de.debian.org/debian/pool/main/w/wmweather/%{name}_%{version}.orig.tar.gz
#fix url changed since 08/2016
Patch0:         wmweather-2.4.5-url.patch
#fix url change to https and fix curl initialization to SSL
Patch1:         wmweather-2.4.5-ssl.patch

BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel
BuildRequires:  libcurl-devel
BuildRequires:  xmessage

%description
Wmweather is another dockapp for WindowMaker, or any window manager
and desktop environment that handles dock applications. It displays
your current local weather conditions. After supplying a 4-character
METAR station identifier code (most major airports have one), it shows
station ID, time of the last update, temperature, dew point, pressure,
humidity, and wind speed. The various entries can be forced to display
in a variety of different units.



%prep
%setup -q 
%autopatch -p1

%build
cd %{srcdirname}
%configure2_5x
%make


%install
cd %{srcdirname}
%makeinstall


%files
%doc COPYING README
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/wmWeather
%{_bindir}/%{name}
%{_mandir}/man1/wmWeather.1*
%{_mandir}/man1/%{name}.1*



%changelog
* Mon Mar 11 2019 eatdirt <eatdirt> 2.4.5-8.1.mga6
+ Revision: 1374010
- Fix missfired bumping of subrel
- Fix change of url and wrong SSL initialization

* Wed Aug 03 2016 eatdirt <eatdirt> 2.4.5-8.mga6
+ Revision: 1044376
- Fix url change for NOAA breaking wmweather

* Mon Feb 08 2016 umeabot <umeabot> 2.4.5-7.mga6
+ Revision: 943045
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.5-6.mga5
+ Revision: 743670
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.5-5.mga5
+ Revision: 690356
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.4.5-4.mga4
+ Revision: 520142
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.4.5-3.mga3
+ Revision: 385809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 2.4.5-2.mga3
+ Revision: 315347
- Rebuild for mga3

* Tue Oct 11 2011 obgr_seneca <obgr_seneca> 2.4.5-1.mga2
+ Revision: 153846
-added xmessage as br
+ eatdirt <eatdirt>
- imported package wmweather

